package net.battlefield;

import net.minecraft.src.*;

public class DamageSourceBullet extends DamageSource
{
    public static DamageSourceBullet bullet = (new DamageSourceBullet("bullet")).setDamageBypassesArmor1();
    private boolean isBlockable;
    private float hungerDamage;

    protected DamageSourceBullet(String s)
    {
        super(s);
    }

    protected DamageSourceBullet setDamageBypassesArmor1()
    {
        isBlockable = true;
        hungerDamage = 0.0F;
        return this;
    }

    public static DamageSource causeBulletDamage(EntityBullet entitybullet, Entity entity)
    {
        return (new EntityDamageSourceIndirect("bullet", entitybullet, entity)).setProjectile();
    }

    protected DamageSource setDamageBypassesArmor()
    {
        return setDamageBypassesArmor1();
    }
}
